\version "2.24.1"

N = 15
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB   { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IIa }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks IIa
        \IIa.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IIa.Oboe.1 \IIa.Oboe.2
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine \IIa.Horn.1 \IIa.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIa.Violin.1 }
            \new ViolinII { \IIa.Violin.2 }
          >>
          \new Viola { \IIa.Viola }
          \new CBB   { \IIa.Cello }
        >>
      >>
    }
    \score {
      \layout { \breaklayout IIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks IIb
        \IIb.structure
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIb.Violin.1 }
            \new ViolinII { \IIb.Violin.2 }
          >>
          \new ViolaSolo { \IIb.ViolaSolo }
          \new CelloSolo { \IIb.CelloSolo }
          \new Bass      { \IIb.Bass }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout III }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CB    { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 4
    \score {
      \layout { \breaklayout IV \spacing #1/24 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
        \new StaffGroup
           \new HornIandII \with { key=d } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CBB   { \IV.Cello }
        >>
      >>
    }
  }
}
